Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class UserMenuDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MenuItem>
ru.bitel.bgbilling.common.dao.AbstractIdDao<MenuItem>
ru.bitel.bgbilling.kernel.bgsecure.server.bean.UserMenuDao

public class UserMenuDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<MenuItem>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserMenuDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData(int webMenuItemId)`
  `protected MenuItem`
  `getFromRS(ResultSet rs)`
  `List<MenuItem>`
  `list()`
  `void`
  `setRoleCount(List<MenuItem> list)`
  `void`
  `updateData(int webMenuItemId, String data)`
  `protected void`
  `updateImpl(MenuItem menuItem)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserMenuDao

    public UserMenuDao(Connection con)

- ## Method Details

  - ### list

    public List<MenuItem> list() throws SQLException
    Throws:
      `SQLException`

  - ### getData

    public String getData(int webMenuItemId) throws SQLException
    Throws:
      `SQLException`

  - ### updateData

    public void updateData(int webMenuItemId, String data) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected MenuItem getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MenuItem>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MenuItem menuItem) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MenuItem>`
    Throws:
      `SQLException`

  - ### setRoleCount

    public void setRoleCount(List<MenuItem> list) throws SQLException
    Throws:
      `SQLException`